# Class TCefBeforeDownloadCallbackRef

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFBeforeDownloadCallback

## Declaration

`type TCefBeforeDownloadCallbackRef = class(TCefBaseRefCountedRef, ICefBeforeDownloadCallback)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedRef
- TCefBeforeDownloadCallbackRef

## Overview

### Methods

| `procedure Cont(const downloadPath: ustring; showDialog: Boolean);`
| `class function UnWrap(data: Pointer): ICefBeforeDownloadCallback;`

## Description

### Methods

| `procedure Cont(const downloadPath: ustring; showDialog: Boolean);`
This item has no description. Showing description inherited from ICefBeforeDownloadCallback.Cont. Call to continue the download. Set |download_path| to the full file path for the download including the file name or leave blank to use the suggested name and the default temp directory. Set |show_dialog| to true (1) if you do wish to show the default "Save As" dialog.

| `class function UnWrap(data: Pointer): ICefBeforeDownloadCallback;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.